# pandas.DataFrame.to_period

DataFrame.to_period(freq=None, axis=0, copy=True)

  Convert DataFrame from DatetimeIndex to PeriodIndex.

  Convert DataFrame from DatetimeIndex to PeriodIndex with desired frequency (inferred from index if not passed).

  Parameters
    freq str, default

      Frequency of the PeriodIndex.

    axis{0 or ‘index’, 1 or ‘columns’}, default 0

      The axis to convert (the index by default).

    copy bool, default True

      If False then underlying input data is not copied.

  Returns
    DataFrame with PeriodIndex